<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package Xena
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header(); ?>

	<div id="primary" <?php xena_do_element_classes( 'content' ); ?>>
		<main id="main" <?php xena_do_element_classes( 'main' ); ?>>
			<?php
			/**
			 * Xena_before_main_content hook.
			 *
			 * @since 1.0.0
			 */
			do_action( 'xena_before_main_content' );
			?>

			<div class="inside-article">

				<?php
				/**
				 * Xena_before_content hook.
				 *
				 * @since 1.0.0
				 *
				 * @hooked xena_featured_page_header_inside_single - 10
				 */
				do_action( 'xena_before_content' );
				?>

				<header class="entry-header">
					<h1 class="entry-title" itemprop="headline"><?php echo apply_filters( 'xena_404_title', esc_html__( 'Oops! That page can&rsquo;t be found.', 'xena' ) ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></h1>
				</header><!-- .entry-header -->

				<?php
				/**
				 * Xena_after_entry_header hook.
				 *
				 * @since 1.0.0
				 *
				 * @hooked xena_post_image - 10
				 */
				do_action( 'xena_after_entry_header' );
				?>

				<div class="entry-content" itemprop="text">
					<?php
					echo '<p>' . apply_filters( 'xena_404_text', esc_html__( 'It looks like nothing was found at this location. Maybe try searching?', 'xena' ) ) . '</p>'; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped

					get_search_form();
					?>
				</div><!-- .entry-content -->

				<?php
				/**
				 * Xena_after_content hook.
				 *
				 * @since 1.0.0
				 */
				do_action( 'xena_after_content' );
				?>

			</div><!-- .inside-article -->

			<?php
			/**
			 * Xena_after_main_content hook.
			 *
			 * @since 1.0.0
			 */
			do_action( 'xena_after_main_content' );
			?>
		</main><!-- #main -->
	</div><!-- #primary -->

	<?php
	/**
	 * Xena_after_primary_content_area hook.
	 *
	 * @since 1.0.0
	 */
	do_action( 'xena_after_primary_content_area' );

	xena_construct_sidebars();

	get_footer();
