<?php
/**
 * The template for displaying Archive pages.
 *
 * @package Xena
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header(); ?>

	<div id="primary" <?php xena_do_element_classes( 'content' ); ?>>
		<main id="main" <?php xena_do_element_classes( 'main' ); ?>>
			<?php
			/**
			 * Xena_before_main_content hook.
			 *
			 * @since 1.0.0
			 */
			do_action( 'xena_before_main_content' );

			if ( have_posts() ) :

				/**
				 * Xena_archive_title hook.
				 *
				 * @since 1.0.0
				 *
				 * @hooked xena_archive_title - 10
				 */
				do_action( 'xena_archive_title' );

				while ( have_posts() ) :
					the_post();

					/*
					 * Include the Post-Format-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */
					get_template_part( 'content', get_post_format() );

				endwhile;

				/**
				 * Xena_after_loop hook.
				 *
				 * @since 1.0.0
				 */
				do_action( 'xena_after_loop' );

				xena_content_nav( 'nav-below' );

			else :

				get_template_part( 'no-results', 'archive' );

			endif;

			/**
			 * Xena_after_main_content hook.
			 *
			 * @since 1.0.0
			 */
			do_action( 'xena_after_main_content' );
			?>
		</main><!-- #main -->
	</div><!-- #primary -->

	<?php
	/**
	 * Xena_after_primary_content_area hook.
	 *
	 * @since 1.0.0
	 */
	do_action( 'xena_after_primary_content_area' );

	xena_construct_sidebars();

	get_footer();
