<?php
/**
 * The template used for displaying page content in page.php
 *
 * @package Xena
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> <?php xena_do_microdata( 'article' ); ?>>
	<div class="inside-article">
		<?php
		/**
		 * Xena_before_content hook.
		 *
		 * @since 1.0.0
		 *
		 * @hooked xena_featured_page_header_inside_single - 10
		 */
		do_action( 'xena_before_content' );

		if ( xena_show_title() ) : 
			?>

			<header class="entry-header">
				<?php
				/**
				 * Xena_before_page_title hook.
				 *
				 * @since 1.0.0
				 */
				do_action( 'xena_before_page_title' );

				the_title( '<h1 class="entry-title" itemprop="headline">', '</h1>' );

				/**
				 * Xena_after_page_title hook.
				 *
				 * @since 1.0.0
				 * @hooked xena_hr_separator - 20
				 */
				do_action( 'xena_after_page_title' );
				?>
			</header><!-- .entry-header -->

			<?php 
		endif;

		/**
		 * Xena_after_entry_header hook.
		 *
		 * @since 1.0.0
		 *
		 * @hooked xena_post_image - 10
		 */
		do_action( 'xena_after_entry_header' );
		?>

		<div class="entry-content" itemprop="text">
			<?php
			the_content();

			wp_link_pages(
				array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'xena' ),
					'after'  => '</div>',
				) 
			);
			?>
		</div><!-- .entry-content -->

		<?php
		/**
		 * Xena_after_content hook.
		 *
		 * @since 1.0.0
		 */
		do_action( 'xena_after_content' );
		?>
	</div><!-- .inside-article -->
</article><!-- #post-## -->
