<?php
/**
 * The template for displaying posts within the loop.
 *
 * @package Xena
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> <?php xena_do_microdata( 'article' ); ?>>
	<div class="inside-article">
		<?php
		/**
		 * Xena_before_content hook.
		 *
		 * @since 1.0.0
		 *
		 * @hooked xena_featured_page_header_inside_single - 10
		 * @hooked xena_category_entry_meta - 10
		 */
		do_action( 'xena_before_content' );
		?>

		<header class="entry-header">
			<?php
			/**
			 * Xena_before_entry_title hook.
			 *
			 * @since 1.0.0
			 */
			do_action( 'xena_before_entry_title' );

			the_title( sprintf( '<h2 class="entry-title" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );

			/**
			 * Xena_after_entry_title hook.
			 *
			 * @since 1.0.0
			 *
			 * @hooked xena_post_meta - 10
			 * @hooked xena_hr_separator - 20
			 */
			do_action( 'xena_after_entry_title' );
			?>
		</header><!-- .entry-header -->

		<?php
		/**
		 * Xena_after_entry_header hook.
		 *
		 * @since 1.0.0
		 *
		 * @hooked xena_post_image - 10
		 */
		do_action( 'xena_after_entry_header' );

		if ( xena_show_excerpt() ) : 
			?>

			<div class="entry-summary" itemprop="text">
				<?php the_excerpt(); ?>
			</div><!-- .entry-summary -->

		<?php else : ?>

			<div class="entry-content" itemprop="text">
				<?php
				the_content();

				wp_link_pages(
					array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'xena' ),
						'after'  => '</div>',
					) 
				);
				?>
			</div><!-- .entry-content -->

			<?php 
		endif;

		/**
		 * Xena_after_entry_content hook.
		 *
		 * @since 1.0.0
		 *
		 * @hooked xena_footer_meta - 10
		 */
		do_action( 'xena_after_entry_content' );

		/**
		 * Xena_after_content hook.
		 *
		 * @since 1.0.0
		 */
		do_action( 'xena_after_content' );
		?>
	</div><!-- .inside-article -->
</article><!-- #post-## -->
