<?php
/**
 * The template for displaying the header.
 *
 * @package Xena
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> <?php esc_attr( xena_do_microdata( 'body' ) ); ?>>
<?php
	/**
	 * Do wp_body_open hook.
	 *
	 * @since 1.0.0
	 */
	do_action( 'wp_body_open' ); // phpcs:ignore WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedHooknameFound

	/**
	 * Xena_before_header hook.
	 *
	 * @since 1.0.0
	 *
	 * @hooked xena_do_skip_to_content_link - 2
	 * @hooked xena_top_bar - 5
	 * @hooked xena_add_navigation_before_header - 5
	 */
	do_action( 'xena_before_header' );

	/**
	 * Xena_header hook.
	 *
	 * @since 1.0.0
	 *
	 * @hooked xena_construct_header - 10
	 */
	do_action( 'xena_header' );

	/**
	 * Xena_after_header hook.
	 *
	 * @since 1.0.0
	 *
	 * @hooked xena_featured_page_header - 10
	 */
	do_action( 'xena_after_header' );
?>

<div id="page" class="hfeed site grid-container container grid-parent">
	<?php
		/**
		 * Xena_inside_site_container hook.
		 *
		 * @since 1.0.0
		 */
		do_action( 'xena_inside_site_container' );
	?>
	<div id="content" class="site-content">
<?php
	/**
	 * Xena_inside_container hook.
	 *
	 * @since 1.0.0
	 */
	do_action( 'xena_inside_container' );
