<?php
/**
 * The template part for displaying a message that posts cannot be found.
 *
 * @package Xena
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
?>

<div class="no-results not-found">
	<div class="inside-article">
		<?php
		/**
		 * Xena_before_content hook.
		 *
		 * @since 1.0.0
		 *
		 * @hooked xena_featured_page_header_inside_single - 10
		 */
		do_action( 'xena_before_content' );
		?>

		<header class="entry-header">
			<h1 class="entry-title"><?php esc_html_e( 'Nothing Found', 'xena' ); ?></h1>
		</header><!-- .entry-header -->

		<?php
		/**
		 * Xena_after_entry_header hook.
		 *
		 * @since 1.0.0
		 *
		 * @hooked xena_post_image - 10
		 */
		do_action( 'xena_after_entry_header' );
		?>

		<div class="entry-content">

				<?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

					<p>
						<?php
							printf(
								esc_html__( 'Ready to publish your first post?', 'xena' ) . '<a href="%1$s"> ' . esc_html__( 'Get started here', 'xena' ) . '</a>.',
								esc_url( admin_url( 'post-new.php' ) )
							);
						?>
					</p>

				<?php elseif ( is_search() ) : ?>



					<p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'xena' ); ?></p>
					<?php get_search_form(); ?>

				<?php else : ?>

					<p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'xena' ); ?></p>
					<?php get_search_form(); ?>

				<?php endif; ?>

		</div><!-- .entry-content -->

		<?php
		/**
		 * Xena_after_content hook.
		 *
		 * @since 1.0.0
		 */
		do_action( 'xena_after_content' );
		?>
	</div><!-- .inside-article -->
</div><!-- .no-results -->
