<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package Xena
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header(); ?>

	<div id="primary" <?php xena_do_element_classes( 'content' ); ?>>
		<main id="main" <?php xena_do_element_classes( 'main' ); ?>>
			<?php
			/**
			 * Xena_before_main_content hook.
			 *
			 * @since 1.0.0
			 */
			do_action( 'xena_before_main_content' );

			while ( have_posts() ) :
				the_post();

				get_template_part( 'content', 'page' );

				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || '0' !== get_comments_number() ) :
					/**
					 * Xena_before_comments_container hook.
					 *
					 * @since 1.0.0
					 */
					do_action( 'xena_before_comments_container' );
					?>

					<div class="comments-area">
						<?php comments_template(); ?>
					</div>

					<?php
				endif;

			endwhile;

			/**
			 * Xena_after_main_content hook.
			 *
			 * @since 1.0.0
			 */
			do_action( 'xena_after_main_content' );
			?>
		</main><!-- #main -->
	</div><!-- #primary -->

	<?php
	/**
	 * Xena_after_primary_content_area hook.
	 *
	 * @since 1.0.0
	 */
	do_action( 'xena_after_primary_content_area' );

	xena_construct_sidebars();

	get_footer();
