<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package Xena
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header(); ?>

	<div id="primary" <?php xena_do_element_classes( 'content' ); ?>>
		<main id="main" <?php xena_do_element_classes( 'main' ); ?>>
			<?php
			/**
			 * Xena_before_main_content hook.
			 *
			 * @since 1.0.0
			 */
			do_action( 'xena_before_main_content' );

			if ( have_posts() ) : 
				?>

				<header class="page-header">
					<h1 class="page-title">
						<?php
						printf( // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
							/* translators: 1: Search query name */
							esc_html__( 'Search Results for: %s', 'xena' ),
							'<span>' . get_search_query() . '</span>'
						);
						?>
					</h1>
				</header><!-- .page-header -->

				<?php 
				while ( have_posts() ) :
					the_post();

					get_template_part( 'content', 'search' );

				endwhile;

				/**
				 * Xena_after_loop hook.
				 *
				 * @since 1.0.0
				 */
				do_action( 'xena_after_loop' );

				xena_content_nav( 'nav-below' );

			else :

				get_template_part( 'no-results', 'search' );

			endif;

			/**
			 * Xena_after_main_content hook.
			 *
			 * @since 1.0.0
			 */
			do_action( 'xena_after_main_content' );
			?>
		</main><!-- #main -->
	</div><!-- #primary -->

	<?php
	/**
	 * Xena_after_primary_content_area hook.
	 *
	 * @since 1.0.0
	 */
	do_action( 'xena_after_primary_content_area' );

	xena_construct_sidebars();

	get_footer();
