<?php
/**
 * The template for displaying search forms
 *
 * @package Xena
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
?>
<form method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<label>
		<span class="screen-reader-text"><?php echo apply_filters( 'xena_search_label', esc_html_x( 'Search for:', 'label', 'xena' ) ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></span>
		<input type="search" class="search-field" placeholder="<?php echo esc_attr( apply_filters( 'xena_search_placeholder', esc_attr_x( 'Search &hellip;', 'placeholder', 'xena' ) ) ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>" value="<?php echo get_search_query(); ?>" name="s" title="<?php echo esc_attr( apply_filters( 'xena_search_label', _x( 'Search for:', 'label', 'xena' ) ) ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>">
	</label>
	<input type="submit" class="search-submit" value="<?php echo apply_filters( 'xena_search_button', esc_attr_x( 'Search', 'submit button', 'xena' ) ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>">
</form>
